module Mod_DONNEES
    implicit none
    real(8), parameter :: Pi      = 3.1415926535897932D0
    real(8), parameter :: q_evap  = 176E4
    real(8), parameter :: T_inf   = 293.D0
    real(8), parameter :: conds   = 380.0D0
    real(8), parameter :: coef    = 500.0D0
    real(8), parameter :: r_max   = 5E-03
    real(8), parameter :: r_min   = 4E-03
    real(8), parameter :: Lt      = 0.2D0
    real(8), parameter :: L_evap  = 4.E-02
    real(8), parameter :: L_adiab = 11.8E-02
    real(8), parameter :: L_cond  = 4.2E-02

    integer, parameter :: n = 3
    integer, parameter :: m = 3

end module Mod_DONNEES
