PROGRAM MAIN
    use Mod_DONNEES
    USE construction_matrice

    implicit none
    INTEGER :: i
    REAL*8 :: dr, dz
    REAL*8, ALLOCATABLE, DIMENSION(:) :: r, z
    REAL*8, ALLOCATABLE, DIMENSION(:,:) :: A, vect

    ALLOCATE ( r(m), z(n), A(n*m,n*m), vect(n*m,1) )

    ! Construction du systme ---------------------------------------
    call grille(dr,dz,r,z)
    call matrice (r,z,dr,dz,vect,A)

    ! Impressions ---------------------------------------------------
    print '(a)', "R =" ; print '(e14.6)', r
    print '(a)', "Z =" ; print '(e14.6)', z

    print '(a)', "A ="
    do i = lbound(A,1), ubound(A,1)
        print '(500e14.6)', A(i,:)
    enddo

    print '(a)', "vect =" ; print '(e14.6)', vect(:,1)

    ! Dallocations -------------------------------------------------
    DEALLOCATE ( z, r, A, vect )

END PROGRAM
